faustcompile
Prev | Orchestra Opcodes and Operators | Next

## faustcompile

faustcompile — Invokes the just-in-time compiler to produce a instantiable DSP process from a Faust program.

## Description

Faustcompile will compile a Faust program from a string, controlled by various arguments. Multi-line strings are accepted, using {{ }} to enclose the string.

## Syntax

    ihandle faustcompile Scode, Sargs

## Initialization

“Scode” -- a string (in double-quotes or enclosed by {{ }}) containing a Faust program.

“Sargs” -- a string (in double-quotes or enclosed by {{ }}) containing Faust compiler args.

## Examples

Here is an example of the faustcompile opcode, with a simple program that mixes two inputs:

Example 238.

    ihandle faustcompile "process=+;", "-vec -lv 1"

## Credits

Author: Victor Lazzarini, 2013

Prev | Up | Next
faustaudio | Home | faustctl